= Releasing Mojo =

There are two release methods for Mojo. The first is via a PPA, and the second
is via a snap.

== PPA ==

The PPA for Mojo releases is
[here](https://launchpad.net/~mojo-maintainers/+archive/ubuntu/ppa). There is
also a "proposed" PPA, which can be found
[here](https://launchpad.net/~mojo-maintainers/+archive/ubuntu/proposed-ppa).
A [recipe build](https://code.launchpad.net/~mojo-maintainers/+recipe/mojo-daily)
builds new packages of Mojo from the main Launchpad branch. Once an updated
package has been built in this PPA (and tested to the satisfaction of the
person in charge of releasing), simply use the "copy packages" functionality
to copy the packages from the proposed PPA to the main PPA. You only need to
copy packages for LTSes, and you don't need to rebuild them, you can use the
"Copy existing binaries" option.

To do this, visit [the package details page](https://launchpad.net/~mojo-maintainers/+archive/ubuntu/proposed-ppa/+packages)
and select "Copy Packages".

== Snap ==

A new version of the snap will be built for every commit to the main Launchpad
repository. You simply need to promote the appropriate commit using the
[Snap Dashboard](https://dashboard.snapcraft.io/stores/snaps/). The snap is owned by
stub, so it may need to be shared with you if you're releasing it for the
first time.
